package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 训练营与学生关系表(TempLittleArtistTrainingCampUserRelation)表实体类
 *
 * @author hgw
 * @since 2022-05-18 15:48:00
 */
@ApiModel(value = "temp_little_artist_training_camp_user_relation-训练营与学生关系表")
public class TempLittleArtistTrainingCampUserRelation implements Serializable {

    //已报名 APPLY
    public static final String APPLY = "APPLY";
    //未报名NOT_APPLY
    public static final String NOT_APPLY = "NOT_APPLY";

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("activity_id_")
    @ApiModelProperty(value = "训练营id")
    private Integer activityId;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @TableField("im_group_id_")
    @ApiModelProperty(value = "im群id")
    private String imGroupId;

    @TableField("state_")
    @ApiModelProperty(value = "状态：未报名NOT_APPLY ，已报名 APPLY")
    private String state;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("apply_time_")
    @ApiModelProperty(value = "报名时间")
    private Date applyTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getImGroupId() {
        return imGroupId;
    }

    public void setImGroupId(String imGroupId) {
        this.imGroupId = imGroupId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }
}

